MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001073Xdebug(No Category)public2014-08-28 07:182014-10-05 22:34
Reporteralexpw 
Assigned Toderick 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOSXOS Version10.7.5, 10.8.5
Product Version2.2.5 
Target VersionFixed in Version2.2.6 
Summary0001073: Segmentation Fault 11 when nesting call_user_func_array
DescriptionI've isolated this to the most minimal example.

The important part is nesting call_user_func_array.

The arguments, ['min', [1,2,3]] can be swapped with alternatives.
Steps To Reproducephp -r "call_user_func_array('call_user_func_array', ['min', [1,2,3]]);";
Additional InformationThe reason I'm nesting these calls is because I'm writing a function composition library.
TagsNo tags attached.
Operating SystemOSX
PHP Version5.5.0-5.5.4
Attached Files

- Relationships

-  Notes
(0002880)
derick (administrator)
2014-08-28 17:47

I can reproduce this. Will hopefully have a fix in a bit!

- Issue History
Date Modified Username Field Change
2014-08-28 07:18 alexpw New Issue
2014-08-28 17:47 derick Note Added: 0002880
2014-08-28 17:47 derick Assigned To => derick
2014-08-28 17:47 derick Status new => assigned
2014-10-05 22:34 derick Status assigned => closed
2014-10-05 22:34 derick Resolution open => fixed
2014-10-05 22:34 derick Fixed in Version => 2.2.6
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker